org.apache.ignite.internal.processors.rest.client.message

## Class GridClientStateRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage
  - - org.apache.ignite.internal.processors.rest.client.message.GridClientStateRequest

All Implemented Interfaces:
  Externalizable, Serializable, GridClientMessage

    public class GridClientStateRequest
    extends GridClientAbstractMessage

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClientStateRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `active()`
`void` `active(boolean active)`
`boolean` `isReqCurrentState()`
`void` `readExternal(ObjectInput in)`
`void` `requestCurrentState()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage

`clientId, clientId, destinationId, destinationId, requestId, requestId, sessionToken, sessionToken, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientStateRequest

    public GridClientStateRequest()

### Method Detail

#### active

    public boolean active()

#### active

    public void active(boolean active)

#### requestCurrentState

    public void requestCurrentState()

#### isReqCurrentState

    public boolean isReqCurrentState()

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`
  `ClassNotFoundException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019